From: [email-masked]
Date: Sun, 03 Feb 2002 08:09:45 -0800

Sun, 3 Feb 2002 16:44:54 +0100 (MET)
Date: Sun, 3 Feb 2002 16:44:54 +0100 (MET)
From: Elisabeth Porteneuve <[email-masked]>
Message-Id: <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked],
        [email-masked] (Andrew McLaughlin), [email-masked],
        [email-masked], [email-masked] (Fred Baker),
        [email-masked] (Harald Alvestrand),
        [email-masked] (Hualin Qian),
        [email-masked] (Ho Jan-Ming),
        [email-masked] (H. T. Kung),
        [email-masked] (Kenny Huang), [email-masked],
        [email-masked],
        [email-masked], [email-masked], [email-masked],
        [email-masked] (James Seng/Personal),
        [email-masked] (John Klensin),
        [email-masked] (Xiaodong Lee),
        [email-masked] (Stuart Lynn), [email-masked] (Wei Mao),
        [email-masked] (Masanobu Katoh),
        [email-masked] (Mouhamet Diop),
        [email-masked] (Thomas Narten),
        [email-masked] (Erik Nordmark),
        [email-masked] (Patrik Falstrom),
        [email-masked] (Paul Hoffman),
        [email-masked] (Qiheng Hu),
        [email-masked] (Mohamed Sharil Tarmizi),
        [email-masked] (Sang-Hyon Kyong),
        [email-masked] (Nai-Wen Hsu), [email-masked],
        [email-masked] (Li Ming Tseng),
        [email-masked] (Vint Cerf),
        [email-masked] (Zhang Wen Hui),
        [email-masked] (Wen-Sung Chen),
        [email-masked] (Chun-Hsin Wu), [email-masked]
Subject: [idn] Re: Chinese Domain Name Consortium (CDNC) Declaration
Sender: [email-masked]
Precedence: bulk

Dear Xiang Deng,

Thank you very much indeed to insist on the problem,
and provide an excellent pedagogical explanation using
"a" and "A", and refering to the economy and cost.

Latin and Cyrillic scripts have completely different
code points in Unicode, while these scripts share many
signs which are the same when printed on paper or on screen.
No need to add that the upper and lower case of letters are
different code points in Latin script and in Cyrillic script.

The combinatory effects are terrible, and they are language
independent. It is the same everywhere, not only for Chinese
code points. Pure maths, the same for everyone.

Assume Chinese name of 10 glyphs. Each one may take 2 versions,
TC or SC. The number of possible configurations is 2**10 = 1024.
It means that to effectively register a name (i.e., get all
of the predicable variants pointing to the same place)
of 10 glyphs one have to pay 1024 times for such a domain name.

Assume now a Latin or Cyrillic name of 10 signs. The same
reasoning apply, each character in Unicode have two different
versions, one Latin, one Cyrillic. And I forget the upper and
lower case, "a" and "A".
The number of possible configurations is 2**10 = 1024.
It means that to effectively register a name of 10 code points
and protect it in Latin and Cyrillic scripts one have to pay
1024 times more than in "LDH".

For a label of 5 code points we have 32 times the cost,
for 5 - 64, for 7 - 128, etc. It is tremendous cost increase.
The company "MacDonald", 9 code points, will have to buy
2**9 variants of its name, 512, pointing to the same place.
The company "ICANN", 5 code points, will have to buy 2**5
variants of its name.

It reminds me about the inventor of chess game, who requested
to be paid in grains, 2 to the power of number of squares,
2 to the power of 64. There was not enough grains on the Earth
to pay for it.

There is not enough grains now. What will be the effect on world
economy ? Is ICANN going to announce to the world that it must
multiply its Internet names budget by a factor of hundred or
thousand to be able to face IDN coming ?

What makes me even more scared is to announce to the world that
the printed information with URLs, on paper or screens alike,
will become useless.
The printed names will be undefined without having script
precised for each and every sign. The real chaos.

Elisabeth Porteneuve
--

> From [email-masked] Sat Feb  2 05:14 MET 2002
> Message-ID: <013101c1ab9f$41ae8270$4407e29f@deng>
> From: "xiang deng" <[email-masked]>
> To: <[email-masked]>, "Erin Chen" <[email-masked]>
> Cc: "Vinton G. Cerf" <[email-masked]>, "Masanobu Katoh <"
<[email-masked]>,
>         "John klensin" <[email-masked]>, "Stuart Lynn"
<[email-masked]>,
>         "Mohamed Sharil Tarmizi" <[email-masked]>,
>         "JET Members" <[email-masked]>,
>         "Masanobu Katoh" <[email-masked]>,
>         "Mouhamet Diop" <[email-masked]>, "Patrik F?lstr?m"
<[email-masked]>,
>         "Qiheng Hu" <[email-masked]>,
>         "Sang-Hyon Kyong" <[email-masked]>,
>         "Elisabeth Porteneuve" <[email-masked]>,
>         "hlqian" <[email-masked]>, "mao" <[email-masked]>,
>         "Zhang Wen Hui" <[email-masked]>,
>         "tsenglm@-poo???s.???j.tw" <[email-masked]>,
>         "hoho" <[email-masked]>,
>         "Kenny Huang" <[email-masked]>,
>         "Chun-Hsin Wu" <[email-masked]>,
>         "sstseng" <[email-masked]>,
>         "Wen-Sung Chen" <[email-masked]>, "yktham"
<[email-masked]>,
>         "jasonho" <[email-masked]>, "alanysho"
<[email-masked]>,
>         "christine" <[email-masked]>
> Subject: Re: Chinese Domain Name Consortium (CDNC) Declaration
> Date: Sat, 2 Feb 2002 12:08:23 +0800
>
>
> Dear Andrew:
>
>  Let me use my awkward English to do some explanations.
>
>  1. Identifier and name
>  From technical argument, IDN Protocol is discussing identifier only,
>  they are no meaning, no relationship totally, just identifier to
>  distinguish each other.
>
>  But thing is more complex. These identifiers are not just used in
> technical protocol, they are names which users must pay for.
>  So the identifier is identifier like name.
>
>  2. Traditional & Simplified Chinese character
>  In Chinese characters, there is a small subset. In this subset, two
>  glyphs have same meaning, same connotation,same extension, and
>  we can substitute one with the other in any situation without
changing
>  anything. (such as: A & a)  They have different code point in
Unicode,
>  they are different identifier, they are different domain name.
>
>  3. Delegation problem and registration-level solution
>  For example:
>  registration-level solution:   A -> 1.1.1.1
>                                          a -> 2.2.2.2
>  Delegation problem:
>                            root
>                            /    \
>                          A      a
>                        /   \    /  \
>                       A    a  A   a
>                     / \   / \  / \   /\
>                    A a  A a A a A a
>  If I have a Chinese domain name  a.a.a, I will
>  ask level-one\level-two\level-three to follow the
>  regulation synchronously, and will config my
>  mail server, web server or other server 8 times.
>
>  If there is a new network application like ENUM
>  in future, the level relationship is so important to
>  this application, how about Chinese domain name?
>
>  4. about Prohibit
>  My comprehension about "prohibit" is pending up temporarily.
> It's the usual method to deal with unsolved part of a big problem.
>
>  5. Relationship among CJK
> 2001.11.18 CDNC-JET Beijing Meeting had reach consensus
>  about solve CJK issue.
>
>  I think one principle is:
>  It's a bi-blade sword, the solution don't be detrimental to each
other.
>
>  Personal best regards
>  Deng xiang
>
> > ----- Original Message -----
> > From: "Andrew McLaughlin" <[email-masked]>
> > Dear Erin:
> >
> > Thank you for communicating this CDNC declaration.  These are
serious
> > concerns;  we will study them carefully.
> >
> > In order to improve my understanding, could I please ask for some
additional
> > information about one point:  registration policy.  You state that
the lack
> > of an equivalence-mapping capability for traditional/simplified
Chinese
> > characters "can't be compensated by registration policy."  Could you
please
> > explain?  I am wondering why DNS registries that offer Chinese
character
> > domain names could not simply ensure that any domain name
registration in
> > traditional Chinese characters is matched with an equivalent
registration in
> > simplified Chinese characters (and vice versa).  DNS nameserver
information
> > would be the same for both the traditional and the simplified domain
name.
> > (I understand that this is not an ideal solution, in that it places
twice as
> > much DNS configuration by domain name registrants).
> >
> > It would be very helpful to me and others to understand why a
> > registration-level solution is insufficient.
> >
> > Best regards,
> >
> > --andrew
> >
>
  -------------------------------------------------------------------
> > andrew mclaughlin - vice president & chief policy officer
> >  internet corporation for assigned names and numbers
> >      <[email-masked]>         <http://www.icann.org>
>
  -------------------------------------------------------------------